%define anolis_release 1
%{!?_vpath_builddir:%global _vpath_builddir %{_target_platform}}
Name:           util-dfm
Version:        1.2.16
Release:        1.%{anolis_release}%{?dist}
Summary:        util-dfm
License:        GPLv3
URL:            https://github.com/linuxdeepin/util-dfm
Source0:        %{name}-%{version}.tar.gz
Patch0:         0001-feat-add-undefined-UDisksObject_autoptr-and-modify-b.patch

BuildRequires:  cmake
BuildRequires:  qt5-qtbase-devel
BuildRequires:  glibmm24-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  glib2-devel
BuildRequires:  libudisks2-devel
BuildRequires:  libisoburn-devel
BuildRequires:  libmediainfo-devel
BuildRequires:  libsecret-devel

%description
A Toolkits of libdfm-io 、libdfm-mount and libdfm-burn,
developed by UnionTech Software Technology Co., Ltd


%package -n libdfm-io
Summary:        util-dfm
Requires:       glibmm24

%description -n libdfm-io
A libaray about I/O.
A libaray that provides I/O interface.


%package -n libdfm-io-devel
Summary:        util-dfm
Requires:       libdfm-io

%description -n libdfm-io-devel
A libaray about I/O dev.
A libaray that provides I/O interface dev.


%package -n libdfm-mount
Summary:        util-dfm

%description  -n libdfm-mount
A libaray about mount and umount.
A libaray that provides mount and umount interface.


%package -n libdfm-mount-devel
Summary:        util-dfm
Requires:       libdfm-mount
Requires:       libsecret-devel
Requires:       libudisks2-devel

%description -n libdfm-mount-devel
A libaray about mount and umount dev.
A libaray that provides mount and umount interface dev.


%package -n libdfm-burn
Summary:        util-dfm
Recommends:     libudfburn

%description -n libdfm-burn
A libaray about mount burning CD.
A libaray that provides burning CD interface dev.

%package -n libdfm-burn-devel
Summary:        util-dfm
Requires:       libdfm-burn
Requires:       libisoburn-devel

%description -n libdfm-burn-devel
A libaray about mount burning CD.
A libaray that provides burning CD interface dev.

%prep
%autosetup -p1

%build
export PATH=%{_qt5_bindir}:$PATH
mkdir build && cd build
%cmake ..
%make_build -C %{_vpath_builddir}

%install
cd build
%make_install INSTALL_ROOT=%{buildroot} -C %{_vpath_builddir}

%check

%ldconfig_scriptlets

%files
%doc
%license LICENSE

%files -n libdfm-io
%{_libdir}/libdfm-io*.so*

%files -n libdfm-io-devel
%{_includedir}/dfm-io/*
%{_libdir}/pkgconfig/dfm-io.pc
%{_libdir}/cmake/dfm-io/*.cmake

%files -n libdfm-mount
%{_libdir}/libdfm-mount*.so*

%files -n libdfm-mount-devel
%{_includedir}/dfm-mount/*
%{_libdir}/pkgconfig/dfm-mount.pc
%{_libdir}/cmake/dfm-mount/*.cmake

%files -n libdfm-burn
%{_libdir}/libdfm-burn*.so*

%files -n libdfm-burn-devel
%{_includedir}/dfm-burn/*
%{_libdir}/pkgconfig/dfm-burn.pc
%{_libdir}/cmake/dfm-burn/*.cmake

%changelog
* Fri Jan 05 2024 yangxianzhao <yangxianzhao@uniontech.com> - 1.2.16-1.1
- fix build error

* Mon Oct 09 2023 liweigang <liweiganga@uniontech.com> - 1.2.16-1
- init: package init
